//  Terminal
//
//  last rev.26-12-99   14:20

import java.awt.*;
import java.lang.*;

public class Terminal extends java.lang.Object
{
    private TextArea    output;
    private TextField   input;

    public Terminal( TextField input, TextArea output ) {
        this.input = input;
        this.output = output;
	}

    public Terminal( TextArea output ) {
        this.input = null;
        this.output = output;
    }

    void write( char character ) {
        output.append( (new Character(character)).toString() );
    }

    void write( String message ) {
        output.append( message );
    }

    void writeln( char character ) {
        output.append( (new Character(character)).toString() + "\n" );
    }
    
    void writeln( String message ) {
        output.append( message + "\n" );
    }

    String read() {                     //  Deprecated: La semantica di questo metodo e' molto probabile che cambi in futuro
        if( input != null ) {
            return input.getText();
        }
        else {
            return null;
        }
    }
}